Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_tripleclouds_sw.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_tripleclouds_sw.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_tripleclouds_sw.F90	(revision 5158)
@@ -127,5 +127,5 @@
     ! entire clear-sky atmosphere at once
     real(jprb), dimension(config%n_g_sw, nlev) &
-    	 &  :: reflectance_clear, transmittance_clear, &
+         &  :: reflectance_clear, transmittance_clear, &
          &     ref_dir_clear, trans_dir_diff_clear, trans_dir_dir_clear
 
@@ -198,5 +198,5 @@
 
     ! Main loop over columns
-    do jcol = istartcol, iendcol
+    DO jcol = istartcol, iendcol
       ! --------------------------------------------------------
       ! Section 2: Prepare column-specific variables and arrays
@@ -251,5 +251,5 @@
       ! cloud%crop_cloud_fraction has already been called
       is_clear_sky_layer = .true.
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (cloud%fraction(jcol,jlev) > 0.0_jprb) then
           is_clear_sky_layer(jlev) = .false.
@@ -271,8 +271,8 @@
 
       ! Cloudy layers
-      do jlev = 1,nlev ! Start at top-of-atmosphere
+      DO jlev = 1,nlev ! Start at top-of-atmosphere
         if (.not. is_clear_sky_layer(jlev)) then
-          do jreg = 2,nregions
-            do jg = 1,ng
+          DO jreg = 2,nregions
+            DO jg = 1,ng
               ! Mapping from g-point to band
               iband = config%i_band_from_reordered_g_sw(jg)
@@ -315,5 +315,5 @@
 
       ! Copy surface albedos in clear-sky region
-      do jg = 1,ng
+      DO jg = 1,ng
         total_albedo(jg,1,nlev+1) = albedo_diffuse(jg,jcol)
         total_albedo_direct(jg,1,nlev+1) &
@@ -324,5 +324,5 @@
       ! underneath
       if (.not. is_clear_sky_layer(nlev)) then
-        do jreg = 2,nregions
+        DO jreg = 2,nregions
           total_albedo(:,jreg,nlev+1)        = total_albedo(:,1,nlev+1)
           total_albedo_direct(:,jreg,nlev+1) = total_albedo_direct(:,1,nlev+1)
@@ -337,5 +337,5 @@
       ! Work up from the surface computing the total albedo of the
       ! atmosphere below that point using the adding method
-      do jlev = nlev,1,-1
+      DO jlev = nlev,1,-1
 
         total_albedo_below        = 0.0_jprb
@@ -346,5 +346,5 @@
           ! "below" quantities since with no cloud overlap to worry
           ! about, these are the same
-          do jg = 1,ng
+          DO jg = 1,ng
             inv_denom(jg,1) = 1.0_jprb &
                  &  / (1.0_jprb - total_albedo_clear(jg,jlev+1)*reflectance_clear(jg,jlev))
@@ -361,5 +361,5 @@
 
         ! All-sky fluxes: first the clear region
-        do jg = 1,ng
+        DO jg = 1,ng
           inv_denom(jg,1) = 1.0_jprb &
                &  / (1.0_jprb - total_albedo(jg,1,jlev+1)*reflectance_clear(jg,jlev))
@@ -375,6 +375,6 @@
         ! Then the cloudy regions if any cloud is present in this layer
         if (.not. is_clear_sky_layer(jlev)) then
-          do jreg = 2,nregions
-            do jg = 1,ng
+          DO jreg = 2,nregions
+            DO jg = 1,ng
               inv_denom(jg,jreg) = 1.0_jprb / (1.0_jprb &
                    &  - total_albedo(jg,jreg,jlev+1)*reflectance(jg,jreg,jlev))
@@ -400,6 +400,6 @@
           ! the operation we perform is essentially diag(total_albedo)
           ! = matmul(transpose(v_matrix)), diag(total_albedo_below)).
-          do jreg = 1,nregions
-            do jreg2 = 1,nregions
+          DO jreg = 1,nregions
+            DO jreg2 = 1,nregions
               total_albedo(:,jreg,jlev) &
                    &  = total_albedo(:,jreg,jlev) &
@@ -426,5 +426,5 @@
       ! Direct downwelling flux (into a plane perpendicular to the
       ! sun) entering the top of each region in the top-most layer
-      do jreg = 1,nregions
+      DO jreg = 1,nregions
         direct_dn(:,jreg) = incoming_sw(:,jcol)*region_fracs(jreg,1,jcol)
       end do
@@ -495,7 +495,7 @@
 
       ! Final loop back down through the atmosphere to compute fluxes
-      do jlev = 1,nlev
+      DO jlev = 1,nlev
         if (config%do_clear) then
-          do jg = 1,ng
+          DO jg = 1,ng
             flux_dn_clear(jg) = (transmittance_clear(jg,jlev)*flux_dn_clear(jg) + direct_dn_clear(jg) &
                &  * (trans_dir_dir_clear(jg,jlev)*total_albedo_clear_direct(jg,jlev+1)*reflectance_clear(jg,jlev) &
@@ -509,5 +509,5 @@
 
         ! All-sky fluxes: first the clear region...
-        do jg = 1,ng
+        DO jg = 1,ng
           flux_dn(jg,1) = (transmittance_clear(jg,jlev)*flux_dn(jg,1) + direct_dn(jg,1) &
                &  * (trans_dir_dir_clear(jg,jlev)*total_albedo_direct(jg,1,jlev+1)*reflectance_clear(jg,jlev) &
@@ -525,6 +525,6 @@
           direct_dn(:,2:nregions)= 0.0_jprb
         else
-          do jreg = 2,nregions
-            do jg = 1,ng
+          DO jreg = 2,nregions
+            DO jg = 1,ng
               flux_dn(jg,jreg) = (transmittance(jg,jreg,jlev)*flux_dn(jg,jreg) + direct_dn(jg,jreg) &
                    &  * (trans_dir_dir(jg,jreg,jlev)*total_albedo_direct(jg,jreg,jlev+1)*reflectance(jg,jreg,jlev) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_two_stream.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_two_stream.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/radiation/radiation_two_stream.F90	(revision 5158)
@@ -72,5 +72,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       ! Fu et al. (1997), Eq 2.9 and 2.10:
       !      gamma1(jg) = LwDiffusivity * (1.0_jprb - 0.5_jprb*ssa(jg) &
@@ -122,5 +122,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       !      gamma1(jg) = 2.0_jprb  - ssa(jg) * (1.25_jprb + 0.75_jprb*g(jg))
       !      gamma2(jg) = 0.75_jprb *(ssa(jg) * (1.0_jprb - g(jg)))
@@ -195,5 +195,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       if (od(jg) > 1.0e-3_jprd) then
         k_exponent = sqrt(max((gamma1(jg) - gamma2(jg)) * (gamma1(jg) + gamma2(jg)), &
@@ -291,5 +291,5 @@
 #endif
 
-    do jg = 1, ng
+    DO jg = 1, ng
       factor = (LwDiffusivityWP * 0.5_jprb) * ssa(jg)
       gamma1 = LwDiffusivityWP - factor*(1.0_jprb + asymmetry(jg))
@@ -379,5 +379,5 @@
 #endif
 
-    do jg = 1, ng
+    DO jg = 1, ng
       ! Compute upward and downward emission assuming the Planck
       ! function to vary linearly with optical depth within the layer
@@ -474,5 +474,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
 
         gamma4 = 1.0_jprd - gamma3(jg)
@@ -624,5 +624,5 @@
     trans_dir_dir = exp(trans_dir_dir)
 
-    do jg = 1, ng
+    DO jg = 1, ng
 
       ! Zdunkowski "PIFM" (Zdunkowski et al., 1980; Contributions to
@@ -652,5 +652,5 @@
     exponential = exp(-k_exponent*od)
 
-    do jg = 1, ng
+    DO jg = 1, ng
       k_mu0 = k_exponent(jg)*mu0
       one_minus_kmu0_sqr = 1.0_jprb - k_mu0*k_mu0
@@ -698,5 +698,5 @@
 #else
     ! GPU-capable and vector-optimized version for ICON
-    do jg = 1, ng
+    DO jg = 1, ng
 
       trans_dir_dir(jg) = max(-max(od(jg) * (1.0_jprb/mu0),0.0_jprb),-1000.0_jprb)
@@ -810,5 +810,5 @@
 ! Added for DWD (2020)
 !NEC$ shortloop
-    do jg = 1, ng
+    DO jg = 1, ng
       ! Note that if the minimum value is reduced (e.g. to 1.0e-24)
       ! then noise starts to appear as a function of solar zenith
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/utilities/easy_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/utilities/easy_netcdf.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/utilities/easy_netcdf.F90	(revision 5158)
@@ -392,5 +392,5 @@
 
     ndimlens(:) = 0
-    do j = 1,ndims
+    DO j = 1,ndims
       istatus = nf90_inquire_dimension(this%ncid, idimids(j), len=ndimlens(j))
       if (istatus /= NF90_NOERR) then
@@ -404,5 +404,5 @@
     if (present(ntotal)) then
       ntotal = 1
-      do j = 1, ndims
+      DO j = 1, ndims
         ntotal = ntotal * ndimlens(j)
       end do
@@ -613,5 +613,5 @@
     ! Compute number of elements of the variable in the file
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
     end do
@@ -658,5 +658,5 @@
     ! Compute number of elements of the variable in the file
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
     end do
@@ -707,5 +707,5 @@
     ! i.e. excluding the slowest varying dimension, indexed by "index"
     ntotal = 1
-    do j = 1, ndims-1
+    DO j = 1, ndims-1
       ntotal = ntotal * ndimlens(j)
     end do
@@ -761,5 +761,5 @@
     ! Ensure variable has only one dimension in the file
     n = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       n = n * ndimlens(j)
       if (j > 1 .and. ndimlens(j) > 1) then
@@ -819,5 +819,5 @@
     ! Ensure variable has only one dimension in the file
     n = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       n = n * ndimlens(j)
       if (j > 1 .and. ndimlens(j) > 1) then
@@ -878,5 +878,5 @@
     ! Ensure variable has only one dimension in the file
     n = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       n = n * ndimlens(j)
       if (j > 1 .and. ndimlens(j) > 1) then
@@ -938,5 +938,5 @@
     ! Ensure variable has only one dimension aside from the last one
     n = 1
-    do j = 1, ndims-1
+    DO j = 1, ndims-1
       n = n * ndimlens(j)
       if (j > 1 .and. ndimlens(j) > 1) then
@@ -1021,5 +1021,5 @@
     ! dimensions
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
       if (j > 2 .and. ndimlens(j) > 1) then
@@ -1133,5 +1133,5 @@
     ! dimensions
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
       if (j > 2 .and. ndimlens(j) > 1) then
@@ -1202,5 +1202,5 @@
       vcount(1:2) = [ndimlen1,1]
       
-      do j = 1,ndimlen2
+      DO j = 1,ndimlen2
         vstart(2) = j
         istatus = nf90_get_var(this%ncid, ivarid, matrix(:,j), start=vstart, count=vcount)
@@ -1252,5 +1252,5 @@
     ! dimensions aside from the last one
     ntotal = 1
-    do j = 1, ndims-1
+    DO j = 1, ndims-1
       ntotal = ntotal * ndimlens(j)
       if (j > 2 .and. ndimlens(j) > 1) then
@@ -1376,5 +1376,5 @@
     ! dimensions
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
       if (j > 3 .and. ndimlens(j) > 1) then
@@ -1512,5 +1512,5 @@
     ! dimensions aside from the last one
     ntotal = 1
-    do j = 1, ndims-1
+    DO j = 1, ndims-1
       ntotal = ntotal * ndimlens(j)
       if (j > 3 .and. ndimlens(j) > 1) then
@@ -1654,5 +1654,5 @@
     ! dimensions
     ntotal = 1
-    do j = 1, ndims
+    DO j = 1, ndims
       ntotal = ntotal * ndimlens(j)
       if (j > 4 .and. ndimlens(j) > 1) then
@@ -1804,5 +1804,5 @@
 
     ! Pad with blanks since nf90_get_att does not do this
-    do j = i_attr_len+1,len(attr_str)
+    DO j = i_attr_len+1,len(attr_str)
       attr_str(j:j) = ' '
     end do
@@ -1878,5 +1878,5 @@
 
     ! Pad with blanks since nf90_get_att does not do this
-    do j = i_attr_len+1,len(attr_str)
+    DO j = i_attr_len+1,len(attr_str)
       attr_str(j:j) = ' '
     end do
@@ -2705,5 +2705,5 @@
     end if
 
-    do jdim = 1,ndims
+    DO jdim = 1,ndims
       istatus = nf90_inquire_dimension(infile%ncid, idimids(jdim), &
            &  name=dimname, len=dimlen)
@@ -2771,5 +2771,5 @@
 
     ! Map dimension IDs
-    do jdim = 1,ndims
+    DO jdim = 1,ndims
       istatus = nf90_inquire_dimension(infile%ncid, idimids_in(jdim), name=dim_name)
       if (istatus /= NF90_NOERR) then
@@ -2801,5 +2801,5 @@
 
     ! Copy attributes
-    do jattr = 1,nattr
+    DO jattr = 1,nattr
       istatus = nf90_inq_attname(infile%ncid, ivarid_in, jattr, attr_name)
       if (istatus /= NF90_NOERR) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/utilities/print_matrix.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/utilities/print_matrix.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecrad/utilities/print_matrix.F90	(revision 5158)
@@ -16,5 +16,5 @@
       write(unit_local,'(a,a,$)') name, '=['
     end if
-    do i = 1,size(vec,1)
+    DO i = 1,size(vec,1)
        write(unit_local,'(f16.8,$)') vec(i)
     end do
@@ -43,6 +43,6 @@
       write(unit_local,'(a,a,$)') name, '=['
     end if
-    do i = 1,size(mat,1)
-       do j = 1,size(mat,2)
+    DO i = 1,size(mat,1)
+       DO j = 1,size(mat,2)
           write(unit_local,'(f16.8,$)') mat(i,j)
        end do
@@ -61,7 +61,7 @@
     integer    :: i, j, k
     write(6,'(a,a)') name, '='
-    do k = 1,size(mat,3)
-      do i = 1,size(mat,1)
-        do j = 1,size(mat,2)
+    DO k = 1,size(mat,3)
+      DO i = 1,size(mat,1)
+        DO j = 1,size(mat,2)
              write(6,'(f16.8,$)') mat(i,j,k)
           end do
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5158)
@@ -179,5 +179,5 @@
     fluxt(:, klev + 1) = 0.
 
-    do k = klev, 1, -1
+    DO k = klev, 1, -1
       fluxu(:, k) = fluxu(:, k + 1) + masse(:, k) * d_u(:, k)
       fluxv(:, k) = fluxv(:, k + 1) + masse(:, k) * d_v(:, k)
@@ -189,5 +189,5 @@
     dddt(:, 1) = (exner(:, 1) - 1.) * fluxt(:, 1)
 
-    do k = 2, klev
+    DO k = 2, klev
       dddu(:, k) = (zu(:, k) - zu(:, k - 1)) * fluxu(:, k)
       dddv(:, k) = (zv(:, k) - zv(:, k - 1)) * fluxv(:, k)
@@ -198,5 +198,5 @@
     dddt(:, klev + 1) = 0.
 
-    do k = 1, klev
+    DO k = 1, klev
       d_t_ech(:, k) = -(rcpd * (dddt(:, k) + dddt(:, k + 1))) / (2. * rcpd * masse(:, k))
       d_t_ec(:, k) = -(dddu(:, k) + dddu(:, k + 1) + dddv(:, k) + dddv(:, k + 1)) / (2. * rcpd * masse(:, k)) + d_t_ech(:, k)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5158)
@@ -83,9 +83,9 @@
   !!       PRINT*, " calcul de drag_pro FC "
 
-  do k = 1, klev
+  DO k = 1, klev
 
-    do jv = 2, nvm_lmdz   !   (on peut faire 9 ?)
+    DO jv = 2, nvm_lmdz   !   (on peut faire 9 ?)
 
-      do i = 1, knon
+      DO i = 1, knon
 
         sumveg(i, k) = sumveg(i, k) + veget(i, jv)
@@ -113,5 +113,5 @@
     enddo
   enddo
-  do k = 1, klev
+  DO k = 1, klev
     where (sumveg(1:knon, k) > 0.05)
       !        drag_pro(1:knon,k)=Cd_frein*drag_pro(1:knon,k)/sumveg(1:knon,k)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/lmdz_sisvat_weq.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/lmdz_sisvat_weq.f90	(revision 5158)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/lmdz_sisvat_weq.f90	(revision 5158)
@@ -0,0 +1,77 @@
+MODULE lmdz_sisvat_weq
+  IMPLICIT NONE; PRIVATE
+  PUBLIC sisvat_weq
+
+  LOGICAL :: logWEq
+
+CONTAINS
+
+  SUBROUTINE SISVAT_wEq(labWEq, istart)
+
+    ! +------------------------------------------------------------------------+
+    ! | MAR          SISVAT_wEq                                22-09-2001  MAR |
+    ! |   SubRoutine SISVAT_wEq computes the Snow/Ice  Water  Equivalent       |
+    ! |                                                                        |
+    ! |                                                                        |
+    ! |   Preprocessing  Option: SISVAT IO (not always a standard preprocess.) |
+    ! |   ^^^^^^^^^^^^^^^^^^^^^  ^^^^^^^^^                                     |
+    ! |   FILE                 |      CONTENT                                  |
+    ! |   ~~~~~~~~~~~~~~~~~~~~~+~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ |
+    ! | # SISVAT_wEq.ve        | #ve: OUTPUT/Verification: Snow/Ice Water Eqv. |
+    ! |                        |      unit 45, SubRoutine  SISVAT_wEq **ONLY** |
+    ! +------------------------------------------------------------------------+
+
+    ! +--Global Variables
+    ! +  ================
+    USE VARphy
+    USE VAR_SV
+    USE VARxSV
+
+    IMPLICIT NONE
+
+    CHARACTER(LEN = 6) :: labWEq
+    INTEGER :: istart
+
+    ! +--Local  Variables
+    ! +  ================
+
+    INTEGER :: ikl, isn
+    REAL :: SnoWEQ, IceWEQ
+
+
+    ! +--Switch Initialization
+    ! +  =====================
+
+    IF (.NOT.logWEq)                                              THEN
+      logWEq = .TRUE.
+      open(unit = 45, status = 'unknown', file = 'SISVAT_wEq.ve')
+      rewind    45
+    END IF
+
+
+    ! +--Snow Water Equivalent
+    ! +  =====================
+
+    ikl = 1
+    IF          (isnoSV(ikl)>iiceSV(ikl))                      THEN
+      SnoWEQ = 0.
+      DO isn = iiceSV(ikl) + 1, isnoSV(ikl)
+        SnoWEQ = SnoWEQ + ro__SV(ikl, isn) * dzsnSV(ikl, isn)
+      END DO
+
+    END IF
+
+
+    ! +--Ice  Water Equivalent
+    ! +  =====================
+    IF        (iiceSV(1)>0)                                    THEN
+      IceWEQ = 0.
+      DO isn = 1, iiceSV(ikl)
+        IceWEQ = IceWEQ + ro__SV(ikl, isn) * dzsnSV(ikl, isn)
+      END DO
+
+    END IF
+
+  END SUBROUTINE sisvat_weq
+
+END MODULE lmdz_sisvat_weq
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/inlandsis/surf_inlandsis_mod.F90	(revision 5158)
@@ -362,5 +362,5 @@
             ! loop on grid cells
             DO ikl = 1, knon
-            	lati=rlat(ikl2i(ikl))
+                lati=rlat(ikl2i(ikl))
                 ! approximations for mean_temp and mean_dens
                 ! from Feulner et al., 2013 (DOI: 10.1175/JCLI-D-12-00636.1)
@@ -433,5 +433,5 @@
                 ! depth : depth of each layer
                 depth = snow_depth
-                do isl = 1, nb_snow_layer
+                DO isl = 1, nb_snow_layer
                     ! dzsnSV : snow layer thickness
                     dzsnSV(ikl, isl) = max(0.01, snow_depth * dz_profil_15(nb_snow_layer - isl + 1))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/iophys.F90	(revision 5158)
@@ -231,13 +231,13 @@
 
   ijl = 0
-  do l = 1, lllm
+  DO l = 1, lllm
     ! Pole nord
     ijl = ijl + 1
-    do i = 1, imax
+    DO i = 1, imax
       zx(i, 1, l) = px(ijl)
     enddo
     ! Grille normale
-    do j = 2, jmax - 1
-      do i = 1, imax
+    DO j = 2, jmax - 1
+      DO i = 1, imax
         ijl = ijl + 1
         zx(i, j, l) = px(ijl)
@@ -247,5 +247,5 @@
     IF (jmax > 1) THEN
       ijl = ijl + 1
-      do i = 1, imax
+      DO i = 1, imax
         zx(i, jmax, l) = px(ijl)
       enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_alpale.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_alpale.f90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_alpale.f90	(revision 5158)
@@ -91,5 +91,5 @@
     ! le modele convectif
 
-    do i = 1, klon
+    DO i = 1, klon
       ALE(i) = 0.
       ALP(i) = 0.
@@ -99,10 +99,10 @@
     IF (iflag_wake>=1) THEN
       IF (itap <= it_wape_prescr) THEN
-        do i = 1, klon
+        DO i = 1, klon
           ale_wake(i) = wape_prescr
           alp_wake(i) = fip_prescr
         enddo
       else
-        do i = 1, klon
+        DO i = 1, klon
           !jyg  ALE=WAPE au lieu de ALE = 1/2 Cstar**2
           !cc           ale_wake(i) = 0.5*wake_cstar(i)**2
@@ -112,5 +112,5 @@
       endif
     else
-      do i = 1, klon
+      DO i = 1, klon
         ale_wake(i) = 0.
         alp_wake(i) = 0.
@@ -122,5 +122,5 @@
       IF (debut.AND.prt_level>9) &
               WRITE(lunout, *)'ALE et ALP imposes'
-      do i = 1, klon
+      DO i = 1, klon
         !on ne couple que ale
         !           ALE(i) = max(ale_wake(i),Ale_bl(i))
@@ -148,6 +148,6 @@
       IF (1==0) THEN
         www(1:klon) = 0.
-        do k = 2, klev - 1
-          do i = 1, klon
+        DO k = 2, klev - 1
+          DO i = 1, klon
             www(i) = max(www(i), -omega(i, k) * RD * t_seri(i, k) &
                     / (RG * paprs(i, k)) * zw2(i, k) * zw2(i, k))
@@ -159,10 +159,10 @@
           enddo
         enddo
-        do i = 1, klon
+        DO i = 1, klon
           IF (www(i)>0. .AND. ale_bl(i)>0.) www(i) = www(i) / ale_bl(i)
         enddo
       ENDIF
 
-      do i = 1, klon
+      DO i = 1, klon
         ALE(i) = max(ale_wake(i), Ale_bl(i))
         !cc nrlmd le 10/04/2012----------Stochastic triggering------------
@@ -196,5 +196,5 @@
 
     endif
-    do i = 1, klon
+    DO i = 1, klon
       IF (alp(i)>alp_max) THEN
         IF(prt_level>9)WRITE(lunout, *)                             &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_blowing_snow_sublim_sedim.F90	(revision 5158)
@@ -51,9 +51,9 @@
 
 INTEGER                                  :: k,i,n
-real                                     :: cpd, cpw, dqbsub, maxdqbsub, dqbmelt, zmair
-real                                     :: dqsedim,precbs, dqvmelt, zmelt, taumeltbs
-real                                     :: maxdqvmelt, rhoair, dz, dqbsedim
-real                                     :: delta_p, b_p, a_p, c_p, c_sub, qvsub
-real                                     :: p0, T0, Dv, Aprime, Bprime, Ka
+REAL                                     :: cpd, cpw, dqbsub, maxdqbsub, dqbmelt, zmair
+REAL                                     :: dqsedim,precbs, dqvmelt, zmelt, taumeltbs
+REAL                                     :: maxdqvmelt, rhoair, dz, dqbsedim
+REAL                                     :: delta_p, b_p, a_p, c_p, c_sub, qvsub
+REAL                                     :: p0, T0, Dv, Aprime, Bprime, Ka
 REAL, DIMENSION(ngrid)                   :: ztemp,zqv,zqb,zpres,qsi,dqsi,qsl,dqsl,qzero,sedim
 REAL, DIMENSION(ngrid)                   :: zpaprsup, zpaprsdn, ztemp_up, zqb_up, zvelo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_call_atke.F90	(revision 5158)
@@ -71,5 +71,5 @@
    !! has to be adapted when solving the TKE with a prognostic equation
 
-   do i=1,ngrid
+   DO i=1,ngrid
       wind1(i)=sqrt(wind_u(i,1)**2+wind_v(i,1)**2)
    enddo
@@ -130,5 +130,5 @@
 ! "big K" calculation
 DO  k=2,nlay-1
-   do i=1,ngrid
+   DO i=1,ngrid
       rho=pinterf(i,k)/rd/(0.5*(temp(i,k-1)+temp(i,k)))
       K_big(i,k)=rg*K_in(i,k)/(play(i,k)-play(i,k+1))*(rho**2)
@@ -145,5 +145,5 @@
 ! x_predict calculation for 2<=k<=nlay-1
 DO  k=2,nlay-1
-   do i=1,ngrid
+   DO i=1,ngrid
       ml=(pinterf(i,k)-pinterf(i,k+1))/rg
       x_predict(i,k)=x_in(i,k)-dtime/ml*(-K_big(i,k+1)*x_in(i,k+1) &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5157)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_cloudth.F90	(revision 5158)
@@ -111,5 +111,5 @@
     ! Calcul de la fraction du thermique et des ?cart-types des distributions
     !-------------------------------------------------------------------------------
-    do ind1 = 1, ngrid
+    DO ind1 = 1, ngrid
 
       IF ((ztv(ind1, 1)>ztv(ind1, 2)).AND.(fraca(ind1, ind2)>1.e-10)) THEN
@@ -324,5 +324,5 @@
     ! Calcul de la fraction du thermique et des ?cart-types des distributions
     !-------------------------------------------------------------------------------
-    do ind1 = 1, ngrid
+    DO ind1 = 1, ngrid
 
       IF ((ztv(ind1, 1)>ztv(ind1, 2)).AND.(fraca(ind1, ind2)>1.e-10)) THEN
@@ -648,5 +648,5 @@
     ! Cloud fraction in the thermals and standard deviation of the PDFs
     !-------------------------------------------------------------------------------
-    do ind1 = 1, ngrid
+    DO ind1 = 1, ngrid
 
       IF ((ztv(ind1, 1)>ztv(ind1, 2)).AND.(fraca(ind1, ind2)>1.e-10)) THEN
@@ -873,5 +873,5 @@
     ! Calcul de la fraction du thermique et des ecart-types des distributions
     !-------------------------------------------------------------------------------
-    do ind1 = 1, ngrid
+    DO ind1 = 1, ngrid
 
       IF ((ztv(ind1, 1)>ztv(ind1, 2)).AND.(fraca(ind1, ind2)>1.e-10)) then !Thermal and environnement
